Package ru.bitel.oss.kernel.directories.address.common.bean

# Enum Class AddressEntityType

java.lang.Object
java.lang.Enum<AddressEntityType>
ru.bitel.oss.kernel.directories.address.common.bean.AddressEntityType

All Implemented Interfaces:
  `Serializable`, `Comparable<AddressEntityType>`, `Constable`

public enum AddressEntityType extends Enum<AddressEntityType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AREA`
  `CITY`
  `COUNTRY`
  `HOUSE`
  `QUARTER`
  `STREET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Optional<AddressEntityType>`
  `getAddressEntityTypeByCode(int code)`
  `int`
  `getCode()`
  `String`
  `getTableName()`
  `String`
  `getType()`
  `static AddressEntityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AddressEntityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COUNTRY

    public static final AddressEntityType COUNTRY

  - ### CITY

    public static final AddressEntityType CITY

  - ### STREET

    public static final AddressEntityType STREET

  - ### AREA

    public static final AddressEntityType AREA

  - ### QUARTER

    public static final AddressEntityType QUARTER

  - ### HOUSE

    public static final AddressEntityType HOUSE

- ## Method Details

  - ### values

    public static AddressEntityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AddressEntityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getTableName

    public String getTableName()

  - ### getType

    public String getType()

  - ### getAddressEntityTypeByCode

    public static Optional<AddressEntityType> getAddressEntityTypeByCode(int code)